Skip to main content
PATCH
/
v2
/
organizations
/
{org_id}
Update an organization
curl --request PATCH \
  --url https://api.arize.com/v2/organizations/{org_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Updated Org Name",
  "description": "Updated organization description"
}
'
{
  "id": "org_001",
  "name": "Agent Engineering Team",
  "description": "Organization for the Agent Engineering team",
  "created_at": "2024-01-01T12:00:00Z"
}

Authorizations

Authorization
string
header
required

Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format

Path Parameters

org_id
string
required

The unique identifier of the organization A universally unique identifier

Example:

"RW50aXR5OjEyMzQ1"

Body

application/json

Body containing organization update parameters. At least one field must be provided.

name
string

Updated name for the organization (must be unique within the account)

Required string length: 1 - 255
description
string

Updated description for the organization. Set to an empty string to clear it.

Maximum string length: 1000

Response

An organization object

An organization is a top-level container within an account for grouping spaces and managing access control. Organizations enable team separation with role-based access control at the organization level.

id
string
required

Unique identifier for the organization

Example:

"RW50aXR5OjEyMzQ1"

name
string
required

Name of the organization

description
string
required

A brief description of the organization's purpose

created_at
string<date-time>
required

Timestamp for when the organization was created